E-MailRelay

Static Public Member Functions | List of all members
G::Md5Imp::format Class Reference

A thin veneer over G::HashState. More...

## Static Public Member Functions
static std::string | encode (const digest_state &)
static std::string | encode (const digest_state &, big_t n)
static digest_state | decode (const std::string &, small_t &)

## Detailed Description

A thin veneer over G::HashState.

Definition at line 104 of file gmd5.cpp.

## Member Function Documentation

## ◆ decode()

G::Md5Imp::digest_state G::Md5Imp::format::decode | ( | const std::string & | str,
|  | small_t & | n
| ) |  |
| static

Definition at line 413 of file gmd5.cpp.

## ◆ encode() [1/2]

std::string G::Md5Imp::format::encode | ( | const digest_state & | state | ) |
| static

Definition at line 401 of file gmd5.cpp.

## ◆ encode() [2/2]

std::string G::Md5Imp::format::encode | ( | const digest_state & | state,
|  | big_t | n
| ) |  |
| static

Definition at line 407 of file gmd5.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gmd5.cpp